Spoiler Alert plugin not working


#1

Continuing the discussion from Discourse Spoiler Alert:

I managed to get this working on our Test forum (I put the - git clone line in the app.yml file) and it seemed to be working fine. However, on the production instance it doesn’t seem to work even though we haven’t changed anything. I also set up a new server instance and the only thing I added to the app.yml was the plugin and even on the fresh instance it doesn’t seem to work.

## The docker manager plugin allows you to one-click upgrade Discouse
## http://discourse.example.com/admin/docker
hooks:
  after_code:
    - exec:
        cd: $home/plugins
        cmd:
          - mkdir -p plugins
          - git clone https://github.com/discourse/docker_manager.git
          - git clone https://github.com/discourse/discourse-spoiler-alert.git

Am I missing a step somewhere? I see the git get pulled down correctly when building the app but I’m not sure what else I need to do? Thanks.


Discourse Spoiler Alert
(Sam Saffron) #2

Do you see it in /admin/docker in your production instance? I am pretty sure this plugin still works.

Can you also confirm that production is running latest discourse docker.


#3

Yep, I see it in /admin/docker (93d76c2 - “Up to date”), and Discourse is up to date too.

Edit: It looks like the strikethrough BBCode isn’t working either.


(Jeff Atwood) #4

I think this was related to your other fix @sam?


(Sam Saffron) #5

Yes, this should be fixed now.


(Jeff Atwood) #6